Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.Status

    java.lang.Object
      java.lang.Enum<Sms.Status>
          com.skype.api.Sms.Status

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Sms.Status>

Enclosing class:
  Sms

    public static enum Sms.Status

extends java.lang.Enum<Sms.Status>
implements EnumConverting

Enum Constant Summary
`COMPOSING`
`DELIVERED`
`FAILED`
`SENDING_TO_SERVER`
`SENT_TO_SERVER`
`SOME_TARGETS_FAILED`

Field Summary
`static int` | `COMPOSING_VALUE`
`static int` | `DELIVERED_VALUE`
`static int` | `FAILED_VALUE`
`static int` | `SENDING_TO_SERVER_VALUE`
`static int` | `SENT_TO_SERVER_VALUE`
`static int` | `SOME_TARGETS_FAILED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Sms.Status` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Sms.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPOSING

    public static final Sms.Status COMPOSING

### SENDING_TO_SERVER

    public static final Sms.Status SENDING_TO_SERVER

### SENT_TO_SERVER

    public static final Sms.Status SENT_TO_SERVER

### DELIVERED

    public static final Sms.Status DELIVERED

### SOME_TARGETS_FAILED

    public static final Sms.Status SOME_TARGETS_FAILED

### FAILED

    public static final Sms.Status FAILED

Field Detail

### COMPOSING_VALUE

    public static final int COMPOSING_VALUE

See Also:
  Constant Field Values

### SENDING_TO_SERVER_VALUE

    public static final int SENDING_TO_SERVER_VALUE

See Also:
  Constant Field Values

### SENT_TO_SERVER_VALUE

    public static final int SENT_TO_SERVER_VALUE

See Also:
  Constant Field Values

### DELIVERED_VALUE

    public static final int DELIVERED_VALUE

See Also:
  Constant Field Values

### SOME_TARGETS_FAILED_VALUE

    public static final int SOME_TARGETS_FAILED_VALUE

See Also:
  Constant Field Values

### FAILED_VALUE

    public static final int FAILED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Sms.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.Status c : Sms.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Sms.Status get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.